Bug 1087513 (CVE-2013-4544) - CVE-2013-4544 Qemu: vmxnet3: bounds checking buffer overrun
Summary: CVE-2013-4544 Qemu: vmxnet3: bounds checking buffer overrun
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-4544
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1087521 1087522 1095430
Blocks: 1016047
TreeView+ depends on / blocked
 
Reported: 2014-04-14 13:57 UTC by Prasad J Pandit
Modified: 2021-02-17 06:40 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 10:03:36 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2014-04-14 13:57:26 UTC
An array index bounds overrun flaw has been discovered in the vmxnet3 device
as emulated by qemu.

A privileged guest user could use this flaw to corrupt qemu process' memory on the host, which could potentially result in arbitrary code execution on the host with the privileges of the qemu process.

Upstream fix:
-------------
 -> http://thread.gmane.org/gmane.comp.emulators.qemu/265562


Acknowledgements:

This issue was discovered by Michael S. Tsirkin of Red Hat.

Comment 3 Prasad J Pandit 2014-04-14 14:08:34 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1087522]

Comment 4 Fedora Update System 2014-05-01 22:27:14 UTC
qemu-1.6.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.